
DataONE R Client - Task #3542

Story # 3433 (Closed): adapt R Client methods to fit in with R community expectations

rename methods beginning with dataTable

2013-01-31 22:55 - Rob Nahf

Status: Closed Start date: 2013-01-31

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.0.0   

Milestone: None Story Points:  

Description

since methods / functions dominate R, it would be confusing to have a method starting with dataTable that doesn't involve the

dataTable class

History

#1 - 2013-02-01 23:29 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

renamed the DataTableDescriber class to AbstractTableDescriber (would have preferred the simpler TabDescriber, but it caused build problems

because the subclass EMLParser is alphabetically before it's superclass!)

Also renamed methods starting with "dataTable." prefix to "data."    for example:  data.tableFieldSeparator( .. )

#2 - 2013-03-01 22:22 - Rob Nahf

- Target version set to DataONE R Client 1.0.0
